Unit QTTHR_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure QTTHR(var RINT :Array of Real; H1 :Real; H2 :Real;
                var F :Array of Real; N :Integer; M :Integer);

implementation

procedure QTTHR(var RINT :Array of Real; H1 :Real; H2 :Real;
                var F :Array of Real; N :Integer; M :Integer);
var
I,J :Integer;
C :Real;
label
_10,_20,_30,_40,_50,_60;
begin
C := H1*H2/4.0;
for I:=1 to N do
 begin
  RINT[(I-1)+0*N] := 0.0;
_10:
 end;
for J:=1 to M do
 begin
  RINT[0+(J-1)*N] := 0.0;
_20:
 end;
for I:=2 to N do
 begin
  for J:=2 to M do
   begin
    RINT[(I-1)+(J-1)*N] := RINT[(I-1)+(J-2)*N] + (F[(I-2)+(J-2)*N] + F[(I-2)+(J-1)*N] +
    F[(I-1)+(J-2)*N] + F[(I-1)+(J-1)*N])*C;
_30:
   end;
_40:
 end;
for J:=2 to M do
 begin
  for I:=2 to N do
   begin
    RINT[(I-1)+(J-1)*N] := RINT[(I-1)+(J-1)*N] + RINT[(I-2)+(J-1)*N];
_50:
   end;
_60:
 end;
end;

end.
